%define upstream_name MongoDB
%define upstream_version v1.2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Official MongoDB Driver for Perl
License:    ASL 2.0
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MongoDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::SCRAM::Client) >= 0.3.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Config::AutoConf)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime) >= 0.780.0
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Path::Tiny) >= 0.54.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::Deep) >= 0.111.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Library)
BuildRequires: perl(Type::Tiny) >= 1.0.0
BuildRequires: perl(Type::Tiny::XS)
BuildRequires: perl(Type::Utils)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(XSLoader)
BuildRequires: perl(bigint)
BuildRequires: perl(boolean) >= 0.250.0
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(threads::shared)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Official MongoDB Driver for Perl.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install
%_fixperms %{buildroot}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.2.3-2.mga6
+ Revision: 1030312
- Rebuild for perl 5.22.2

* Sat Apr 23 2016 shlomif <shlomif> 1.2.3-1.mga6
+ Revision: 1005498
- Add BR
- New version

* Fri Feb 12 2016 umeabot <umeabot> 0.708.4.0-2.mga6
+ Revision: 957770
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.708.4.0-1.mga6
+ Revision: 873730
- update to v0.708.4.0

* Sun Jul 19 2015 sander85 <sander85> 0.708.3.0-1.mga6
+ Revision: 855305
- update to v0.708.3.0

* Thu Jun 25 2015 sander85 <sander85> 0.708.2.0-1.mga6
+ Revision: 842691
- update to v0.708.2.0

* Wed Oct 15 2014 umeabot <umeabot> 0.704.5.0-4.mga5
+ Revision: 741764
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.704.5.0-3.mga5
+ Revision: 735773
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.704.5.0-2.mga5
+ Revision: 685488
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 sander85 <sander85> 0.704.5.0-1.mga5
+ Revision: 670872
- imported package perl-MongoDB

